what4-1.6.3: Solver-agnostic symbolic values support for issuing queries

Safe Haskell | None
Language | Haskell2010

What4.Protocol.VerilogWriter.Backend

Synopsis

- exprToVerilogExpr :: forall sym n (tp :: BaseType). (IsExprBuilder sym, SymExpr sym ~ Expr n) => Expr n tp -> VerilogM sym n (IExp tp)

# Documentation

exprToVerilogExpr :: forall sym n (tp :: BaseType). (IsExprBuilder sym, SymExpr sym ~ Expr n) => Expr n tp -> VerilogM sym n (IExp tp) Source #

Convert a What4 expresssion into a Verilog expression and return a name for that expression's result.